package com.server.alb.repositories

import com.server.alb.models.Project
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query

interface ProjectRepository : JpaRepository<Project, Long> {
    @Query("SELECT j.project_id FROM list_bug lb LEFT JOIN platforms f ON lb.platform = f.platform_id LEFT JOIN projects j ON f.project=j.project_id WHERE lb.bug_id=?1", nativeQuery = true)
    fun findProjectById(id: String?): String
}