package com.server.alb.services

import com.server.alb.models.ListBug
import io.micrometer.common.util.StringUtils
import org.springframework.stereotype.Service


@Service
class BugValidationService {

    companion object {
        fun isValid(bug: ListBug?): Boolean {
            return (bug != null && StringUtils.isNotBlank(bug.description) && StringUtils.isNotBlank(bug.link))
        }
    }

}