package com.server.alb.services

import com.server.alb.models.Project
import com.server.alb.repositories.ProjectRepository
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service


@Service
class ProjectService {
    @Autowired
    private val repo: ProjectRepository? = null

    operator fun get(id: Long): Project {
        return repo!!.findById(id).get()
    }

    fun save(project: Project?) {
        if (project != null) {
            repo!!.save(project)
        }
    }

    fun delete(id: Long?) {
        repo!!.deleteById(id!!)
    }
}